# module RSS::Atom::ContentModel

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/atom.rb, line 62
    def append_features(klass)
      super
      klass.extend(ClassMethods)
      klass.content_setup(klass.content_type, klass.tag_name)
    end

### Public Instance Methods

maker_target(target) click to toggle source

    # File lib/rss/atom.rb, line 69
    def maker_target(target)
      target
    end

### Private Instance Methods

setup_maker_element(target) click to toggle source
Calls superclass method

    # File lib/rss/atom.rb, line 78
    def setup_maker_element(target)
      target.__send__(setup_maker_element_writer, content)
      super
    end

setup_maker_element_writer() click to toggle source

    # File lib/rss/atom.rb, line 74
    def setup_maker_element_writer
      "#{self.class.name.split(/::/).last.downcase}="
    end